summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Xgates2013-10-27 05:09:28 +0100
committer Robby Workman2013-10-28 05:38:58 +0100
commitdcef599a4ef84ed00d610f4a3904bf1b2bf445be (patch)
tree42adaac1c51625724ed64e9878868d7ef068ea90 /misc
parentfc96abd92032fdf51359883affcacf1387f6c6a6 (diff)
downloadslackbuilds-dcef599a4ef84ed00d610f4a3904bf1b2bf445be.tar.gz
misc/ltunify: Added (Logitech Unifying tool for Linux)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/ltunify/README25
-rw-r--r--misc/ltunify/ltunify.SlackBuild86
-rw-r--r--misc/ltunify/ltunify.info10
-rw-r--r--misc/ltunify/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/misc/ltunify/README b/misc/ltunify/README
new file mode 100644
index 0000000000..ee994c5a34
--- /dev/null
+++ b/misc/ltunify/README
@@ -0,0 +1,25 @@
+Logitech's Unifying technology is awesome. Plug the USB receiver in the
+computer, power on your keyboard or mouse and it is ready for use! Well,
+the devices themselves do work, but software to attach new devices to a
+single receiver (or detach bound devices) is only available for Mac OS X
+and Windows.
+
+ltunify is a program resulting from the gathered knowledge on the Logitech
+HID++ protocol. It allows you to pair additional devices like keyboards and
+mice to your Unifying receiver, unpair existing devices and list information
+about connected devices.
+
+*** IMPORTANT *** - READ THE DOCS in /usr/doc/ltunify-0.2
+
+Be sure you READ the information at the TOP of the
+/etc/udev/rules.d/42-logitech-unify-permissions.rules
+
+In /usr/doc/ltunify-0.2 be sure to read the README.txt
+for additional instructions on pairing.
+
+If you need to always have one device paired and want it
+paired on startup, place these two commands in rc.local
+exactly as you see them in this order;
+
+ltunify unpair 1
+ltunify pair
diff --git a/misc/ltunify/ltunify.SlackBuild b/misc/ltunify/ltunify.SlackBuild
new file mode 100644
index 0000000000..bfbe59d816
--- /dev/null
+++ b/misc/ltunify/ltunify.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for ltunify
+
+# Copyright 2013 Xgates <5e00e320@opayq.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=ltunify
+VERSION=0.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+make
+make install DESTDIR=$PKG bindir=/usr/bin
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a NEWS README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/ltunify/ltunify.info b/misc/ltunify/ltunify.info
new file mode 100644
index 0000000000..00d13a1f35
--- /dev/null
+++ b/misc/ltunify/ltunify.info
@@ -0,0 +1,10 @@
+PRGNAM="ltunify"
+VERSION="0.2"
+HOMEPAGE="https://lekensteyn.nl/logitech-unifying.html"
+DOWNLOAD="https://git.lekensteyn.nl/ltunify/snapshot/ltunify-0.2.tar.gz"
+MD5SUM="f24cc422ae246bb139c1b53be09e8b82"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Xgates"
+EMAIL="5e00e320@opayq.com"
diff --git a/misc/ltunify/slack-desc b/misc/ltunify/slack-desc
new file mode 100644
index 0000000000..fe35edf845
--- /dev/null
+++ b/misc/ltunify/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ltunify: ltunify (Logitech Unifying tool for Linux)
+ltunify:
+ltunify: ltunify is a program resulting from the gathered knowledge on the
+ltunify: Logitech HID++ protocol. It allows you to pair additional devices
+ltunify: like keyboards and mice to your Unifying receiver, unpair existing
+ltunify: devices and list information about connected devices.
+ltunify:
+ltunify: https://lekensteyn.nl/logitech-unifying.html
+ltunify:
+ltunify:
+ltunify: